package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class DataRekapPenjualan
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "RM_DataRekapPenjualan_M")
public class DataRekapPenjualanVO extends BaseMasterVO {
	@NotNull(message="NoReg tidak boleh kosong")
	@Column(name = "NoReg", nullable = false, length = 100)
	@Caption(value = "NoReg")
	private String noReg;
	public void setNoReg(String noReg)
	{
		this.noReg = noReg;
	}
	public String getNoReg()
	{
		 return this.noReg;
	}


	@NotNull(message="Rs tidak boleh kosong")
	@Column(name = "Rs", nullable = false, length = 100)
	@Caption(value = "Rs")
	private String rs;
	public void setRs(String rs)
	{
		this.rs = rs;
	}
	public String getRs()
	{
		 return this.rs;
	}


	@NotNull(message="Inap tidak boleh kosong")
	@Column(name = "Inap", nullable = false, length = 100)
	@Caption(value = "Inap")
	private String inap;
	public void setInap(String inap)
	{
		this.inap = inap;
	}
	public String getInap()
	{
		 return this.inap;
	}


	@NotNull(message="NoResep tidak boleh kosong")
	@Column(name = "NoResep", nullable = false, length = 100)
	@Caption(value = "NoResep")
	private String noResep;
	public void setNoResep(String noResep)
	{
		this.noResep = noResep;
	}
	public String getNoResep()
	{
		 return this.noResep;
	}


	@NotNull(message="WaktuLayanan tidak boleh kosong")
	@Column(name = "WaktuLayanan", nullable = false, length = 100)
	@Caption(value = "WaktuLayanan")
	private String waktuLayanan;
	public void setWaktuLayanan(String waktuLayanan)
	{
		this.waktuLayanan = waktuLayanan;
	}
	public String getWaktuLayanan()
	{
		 return this.waktuLayanan;
	}


	@NotNull(message="NamaPasien tidak boleh kosong")
	@Column(name = "NamaPasien", nullable = false, length = 100)
	@Caption(value = "NamaPasien")
	private String namaPasien;
	public void setNamaPasien(String namaPasien)
	{
		this.namaPasien = namaPasien;
	}
	public String getNamaPasien()
	{
		 return this.namaPasien;
	}


	@NotNull(message="JenisKelamin tidak boleh kosong")
	@Column(name = "JenisKelamin", nullable = false, length = 100)
	@Caption(value = "JenisKelamin")
	private String jenisKelamin;
	public void setJenisKelamin(String jenisKelamin)
	{
		this.jenisKelamin = jenisKelamin;
	}
	public String getJenisKelamin()
	{
		 return this.jenisKelamin;
	}


	@NotNull(message="Umur tidak boleh kosong")
	@Column(name = "Umur", nullable = false, length = 100)
	@Caption(value = "Umur")
	private String umur;
	public void setUmur(String umur)
	{
		this.umur = umur;
	}
	public String getUmur()
	{
		 return this.umur;
	}


	@NotNull(message="Dokter tidak boleh kosong")
	@Column(name = "Dokter", nullable = false, length = 100)
	@Caption(value = "Dokter")
	private String dokter;
	public void setDokter(String dokter)
	{
		this.dokter = dokter;
	}
	public String getDokter()
	{
		 return this.dokter;
	}


	@NotNull(message="UnitLayanan tidak boleh kosong")
	@Column(name = "UnitLayanan", nullable = false, length = 100)
	@Caption(value = "UnitLayanan")
	private String unitLayanan;
	public void setUnitLayanan(String unitLayanan)
	{
		this.unitLayanan = unitLayanan;
	}
	public String getUnitLayanan()
	{
		 return this.unitLayanan;
	}


	@NotNull(message="JumlahResep tidak boleh kosong")
	@Column(name = "JumlahResep", nullable = false, length = 100)
	@Caption(value = "JumlahResep")
	private String jumlahResep;
	public void setJumlahResep(String jumlahResep)
	{
		this.jumlahResep = jumlahResep;
	}
	public String getJumlahResep()
	{
		 return this.jumlahResep;
	}


	@NotNull(message="Harga tidak boleh kosong")
	@Column(name = "Harga", nullable = false, length = 100)
	@Caption(value = "Harga")
	private String harga;
	public void setHarga(String harga)
	{
		this.harga = harga;
	}
	public String getHarga()
	{
		 return this.harga;
	}


	@NotNull(message="Diskon tidak boleh kosong")
	@Column(name = "Diskon", nullable = false, length = 100)
	@Caption(value = "Diskon")
	private String diskon;
	public void setDiskon(String diskon)
	{
		this.diskon = diskon;
	}
	public String getDiskon()
	{
		 return this.diskon;
	}


	@NotNull(message="Jasa tidak boleh kosong")
	@Column(name = "Jasa", nullable = false, length = 100)
	@Caption(value = "Jasa")
	private String jasa;
	public void setJasa(String jasa)
	{
		this.jasa = jasa;
	}
	public String getJasa()
	{
		 return this.jasa;
	}


	@NotNull(message="Embalace tidak boleh kosong")
	@Column(name = "Embalace", nullable = false, length = 100)
	@Caption(value = "Embalace")
	private String embalace;
	public void setEmbalace(String embalace)
	{
		this.embalace = embalace;
	}
	public String getEmbalace()
	{
		 return this.embalace;
	}


	@NotNull(message="Ppn tidak boleh kosong")
	@Column(name = "Ppn", nullable = false, length = 100)
	@Caption(value = "Ppn")
	private String ppn;
	public void setPpn(String ppn)
	{
		this.ppn = ppn;
	}
	public String getPpn()
	{
		 return this.ppn;
	}


	@NotNull(message="Total tidak boleh kosong")
	@Column(name = "Total", nullable = false, length = 100)
	@Caption(value = "Total")
	private String total;
	public void setTotal(String total)
	{
		this.total = total;
	}
	public String getTotal()
	{
		 return this.total;
	}



}